> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/v2.2/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcheckboxcell.md).

# DataGridViewCheckBoxCell

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (2.2.0.0)

* [DataGridViewElement](/api/v2.2/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewelement.md)
  * [DataGridViewCell](/api/v2.2/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcell.md)
    * [DataGridViewCheckBoxCell](/api/v2.2/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcheckboxcell.md)

Displays a [CheckBox](/api/v2.2/wisej.web/buttons/wisej.web.checkbox.md) icon (not the actual control) in a [DataGridViewCell](/api/v2.2/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcell.md) cell.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DataGridViewCheckBoxCell : DataGridViewCell
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DataGridViewCheckBoxCell
    Inherits DataGridViewCell
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/-MTRl851gGvQXMvSEG1f)DataGridViewCheckBoxCell()

## Properties

### ![](/files/-MTRl851gGvQXMvSEG1f)FalseValue

[Object](https://docs.microsoft.com/en-us/dotnet/api/system.object): Gets or sets the value that corresponds to false, which appears as an unchecked box.

### ![](/files/-MTRl851gGvQXMvSEG1f)FormattedValueType

[Type](https://docs.microsoft.com/en-us/dotnet/api/system.type): Returns the type of the formatted value associated with the cell.

### ![](/files/-MTRl851gGvQXMvSEG1f)IndeterminateValue

[Object](https://docs.microsoft.com/en-us/dotnet/api/system.object): Gets or sets the value that corresponds to indeterminate, which appears as an indeterminate box.

### ![](/files/-MTRl851gGvQXMvSEG1f)ThreeState

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Returns or sets a value indicating if the checkbox cell supports three states.

### ![](/files/-MTRl851gGvQXMvSEG1f)TrueValue

[Object](https://docs.microsoft.com/en-us/dotnet/api/system.object): Gets or sets the value that corresponds to true, which appears as checked box.

### ![](/files/-MTRl851gGvQXMvSEG1f)ValueType

[Type](https://docs.microsoft.com/en-us/dotnet/api/system.type): Returns or sets the data type of the values in the cell.

## Methods

### ![](/files/-MTRl851gGvQXMvSEG1f)ParseFormattedValue(value, cellStyle, formattedTypeConverter, valueTypeConverter)

Converts a value to the actual cell value.

| Parameter                  | Type                                                                                                         | Description                                                                                                                                                          |
| -------------------------- | ------------------------------------------------------------------------------------------------------------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **value**                  | [Object](https://docs.microsoft.com/en-us/dotnet/api/system.object)                                          | The display value of the cell.                                                                                                                                       |
| **cellStyle**              | [DataGridViewCellStyle](/api/v2.2/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcellstyle.md) | The [DataGridViewCellStyle](/api/v2.2/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcellstyle.md) in effect for the cell.                             |
| **formattedTypeConverter** | [TypeConverter](https://docs.microsoft.com/en-us/dotnet/api/system.componentmodel.typeconverter)             | A [TypeConverter](https://docs.microsoft.com/en-us/dotnet/api/system.componentmodel.typeconverter) for the display value type, or null to use the default converter. |
| **valueTypeConverter**     | [TypeConverter](https://docs.microsoft.com/en-us/dotnet/api/system.componentmodel.typeconverter)             | A [TypeConverter](https://docs.microsoft.com/en-us/dotnet/api/system.componentmodel.typeconverter) for the cell value type, or null to use the default converter.    |

**Returns:** [Object](https://docs.microsoft.com/en-us/dotnet/api/system.object). The cell value.

**Throws:**

* [ArgumentNullException](https://docs.microsoft.com/en-us/dotnet/api/system.argumentnullexception) *cellStyle* is null.
* [FormatException](https://docs.microsoft.com/en-us/dotnet/api/system.formatexception) The [FormattedValueType](/api/v2.2/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcell.md#formattedvaluetype) property value is null or the [ValueType](/api/v2.2/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcell.md#valuetype) property value is null or *value* cannot be converted.
* [ArgumentException](https://docs.microsoft.com/en-us/dotnet/api/system.argumentexception) *value* is null or the type of *value* does not match the type indicated by the [FormattedValueType](/api/v2.2/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcell.md#formattedvaluetype) property.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/v2.2/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcheckboxcell.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
